%% save_data
%    save the current state of the table to the data object so that
%    it can be saved either in a block or in a binary file
% inputs:
%   object:GUI - current GUI object
% outputs:
%   none
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function [] = save_data(object)
save_conditions(object,object.Grid2);
save_conditions(object,object.Grid1);
save_results(object,object.Grid0);
% depricated
object.function_name_text = get(object.function_name_control,'String');
object.function_inputs_text = get(object.function_inputs_control,'String');
% new storage
object.Data.function_name = get(object.function_name_control,'String');
object.Data.function_inputs = get(object.function_inputs_control,'String');
object.Data.checked = object.pvs_checked;
object.Data.multi_mode = object.multi_mode;

set.set = 1;
set.inputs = object.settings.pvs_includes;
set.count = object.settings.counter_trials;
set.range = object.settings.counter_range;
set.except = object.settings.except;
object.Data.settings = set;
end

